> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deduction

> Lists deductions and contributions information for a given item

**Availability: Automated providers only.**

Employer Match capabilities are currently in Beta. Please reach out if you are interested in gaining early access.

This is a live request to the provider. Latencies may vary from seconds to minutes depending on the provider.


## OpenAPI

````yaml get /employer/benefits/{benefit_id}
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /employer/benefits/{benefit_id}:
    parameters:
      - schema:
          type: string
        name: benefit_id
        in: path
        required: true
    get:
      tags:
        - Deductions
      summary: Get Deduction
      description: Lists deductions and contributions information for a given item
      operationId: get-company-benefit
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: The entity IDs to specify which entities' data to access.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyBenefit'
              examples:
                Example Benefit:
                  value:
                    benefit_id: 6547e3aa-d887-4a77-bd41-17221e17cce3
                    type: 401k
                    description: Example 401k
                    frequency: every_paycheck
        '404':
          description: Benefit Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Not Found:
                  value:
                    code: 404
                    name: not_found_error
                    finch_code: benefit_not_found
                    message: Benefit not found
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Finch from '@tryfinch/finch-api';


            const client = new Finch({
              accessToken: 'My Access Token',
            });


            const companyBenefit = await
            client.hris.benefits.retrieve('benefit_id');


            console.log(companyBenefit.benefit_id);
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            company_benefit = client.hris.benefits.retrieve(
                benefit_id="benefit_id",
            )
            print(company_benefit.benefit_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tcompanyBenefit, err := client.HRIS.Benefits.Get(\n\t\tcontext.TODO(),\n\t\t\"benefit_id\",\n\t\tfinchgo.HRISBenefitGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", companyBenefit.BenefitID)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.CompanyBenefit;
            import com.tryfinch.api.models.HrisBenefitRetrieveParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    CompanyBenefit companyBenefit = client.hris().benefits().retrieve("benefit_id");
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.CompanyBenefit
            import com.tryfinch.api.models.HrisBenefitRetrieveParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val companyBenefit: CompanyBenefit = client.hris().benefits().retrieve("benefit_id")
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            company_benefit = finch.hris.benefits.retrieve("benefit_id")

            puts(company_benefit)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    CompanyBenefit:
      type: object
      properties:
        benefit_id:
          type: string
          format: uuid
          description: The id of the benefit.
        type:
          $ref: '#/components/schemas/BenefitType'
        description:
          type: string
          nullable: true
        frequency:
          $ref: '#/components/schemas/BenefitFrequency'
        company_contribution:
          $ref: '#/components/schemas/BenefitCompanyMatchContribution'
      required:
        - benefit_id
        - type
        - description
        - frequency
      title: CompanyBenefit
    Error:
      title: Error
      type: object
      description: Generic error response structure
      properties:
        code:
          type: integer
          description: The status code of the request.
        name:
          type: string
          description: Identifier describing the error.
        finch_code:
          type: string
          description: A descriptive identifier for the error.
        message:
          type: string
          description: >-
            A short English description that provides more information about the
            error.
    BenefitType:
      type: string
      nullable: true
      enum:
        - '457'
        - 401k
        - 401k_roth
        - 401k_loan
        - 403b
        - 403b_roth
        - 457_roth
        - commuter
        - custom_post_tax
        - custom_pre_tax
        - fsa_dependent_care
        - fsa_medical
        - hsa_post
        - hsa_pre
        - s125_dental
        - s125_medical
        - s125_vision
        - simple
        - simple_ira
        - null
      description: Type of benefit.
      title: BenefitType
      x-tags:
        - Models
    BenefitFrequency:
      type: string
      nullable: true
      enum:
        - every_paycheck
        - monthly
        - one_time
        - null
      description: The frequency of the benefit deduction/contribution.
      title: BenefitFrequency
      x-tags:
        - Models
    BenefitCompanyMatchContribution:
      type: object
      nullable: true
      properties:
        type:
          type: string
          enum:
            - match
        tiers:
          type: array
          items:
            type: object
            properties:
              match:
                type: integer
                minimum: 1
                maximum: 10000
              threshold:
                type: integer
                minimum: 1
                maximum: 10000
            required:
              - match
              - threshold
          minItems: 1
          maxItems: 3
      required:
        - type
        - tiers
      description: The company match for this benefit.
      title: BenefitCompanyMatchContribution
      x-tags:
        - Models
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````